MODULE Circle
!------------------------------------------------------------
! Module containing definitions, declarations, and a function 
! Area for processing circles with known radii.
!
! Exports:  parameter Pi
!           variable Radius
!           function Area 
!------------------------------------------------------------

   REAL, PARAMETER :: Pi = 3.141592
   REAL :: Radius

CONTAINS

!----- Area----------------------------------------------
! Function to calculate area of a circle.
! Accepts:  Radius of circle
! Returns:  Area of circle
!---------------------------------------------------------

   REAL FUNCTION Area(Radius)

      Area = Pi * Radius**2

   END FUNCTION Area

END MODULE Circle
